# ApplicationFramework
TKLCAF
TDF

# TDF_MapIteratorOfAttributeMap Class Reference

`#include <TDF_MapIteratorOfAttributeMap.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDF_MapIteratorOfAttributeMap ()
Standard_EXPORT | TDF_MapIteratorOfAttributeMap (const TDF_AttributeMap &aMap)
Standard_EXPORT void | Initialize (const TDF_AttributeMap &aMap)
Standard_EXPORT const Handle_TDF_Attribute & | Key () const

## Constructor & Destructor Documentation

Standard_EXPORT TDF_MapIteratorOfAttributeMap::TDF_MapIteratorOfAttributeMap | ( |  | ) |

Standard_EXPORT TDF_MapIteratorOfAttributeMap::TDF_MapIteratorOfAttributeMap | ( | const TDF_AttributeMap & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void TDF_MapIteratorOfAttributeMap::Initialize | ( | const TDF_AttributeMap & | aMap | ) |

Standard_EXPORT const Handle_TDF_Attribute& TDF_MapIteratorOfAttributeMap::Key | ( |  | ) | const

void TDF_MapIteratorOfAttributeMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF_MapIteratorOfAttributeMap::operator new | ( | size_t | size | ) | `[inline]`

void* TDF_MapIteratorOfAttributeMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- TDF_MapIteratorOfAttributeMap.hxx